Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(26)

Issue 2250503002: Handle SIGSEGV in BrowserTestBase (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months, 1 week ago by michaelpg
Modified:
11 months ago
Reviewers:
Paweł Hajdan Jr.
CC:
chromium-reviews, darin-cc_chromium.org, jam
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Handle SIGSEGV in BrowserTestBase On Linux, we handle SIGTERM but not SIGSEGV. BUG=637942 Before: [ RUN ] ChromeSendPassthroughWebUITest.CanCallOriginal [1/1] ChromeSendPassthroughWebUITest.CanCallOriginal (2094 ms) 1 test failed: ChromeSendPassthroughWebUITest.CanCallOriginal (gen/chrome/test/data/webui/chrome_send_browsertest-gen.cc:23) After: [ RUN ] ChromeSendPassthroughWebUITest.CanCallOriginal BrowserTestBase received signal: Segmentation fault. Backtrace: #0 0x7eff21e645de base::debug::StackTrace::StackTrace() #1 0x000001a99249 content::(anonymous namespace)::DumpStackTraceSignalHandler() #2 0x7eff17794cb0 <unknown> #3 0x7eff17df2865 std::string::find() #4 0x0000011b691d WebUIBrowserTest::RunJavascriptTestF() #5 0x000001302f5d ChromeSendPassthroughWebUITest_CanCallOriginal_Test::RunTestOnMainThread() #6 0x000001682683 InProcessBrowserTest::RunTestOnMainThreadLoop() #7 0x000001a98fb8 content::BrowserTestBase::ProxyRunTestOnMainThreadLoop() #8 0x0000019a13f1 ChromeBrowserMainParts::PreMainMessageLoopRunImpl() #9 0x0000019a0515 ChromeBrowserMainParts::PreMainMessageLoopRun() #10 0x7eff1ec04605 content::BrowserMainLoop::PreMainMessageLoopRun() #11 0x7eff1eebbad7 content::StartupTaskRunner::RunAllTasksNow() #12 0x7eff1ec02e98 content::BrowserMainLoop::CreateStartupTasks() #13 0x7eff1ec072cd content::BrowserMainRunnerImpl::Initialize() #14 0x7eff1ec005b8 content::BrowserMain() #15 0x7eff1f356577 content::ContentMainRunnerImpl::Run() #16 0x7eff1f3550c0 content::ContentMain() #17 0x000001a98991 content::BrowserTestBase::SetUp() #18 0x000001681054 InProcessBrowserTest::SetUp() #19 0x000001b23218 testing::Test::Run() #20 0x000001b23f83 testing::TestInfo::Run() #21 0x000001b24413 testing::TestCase::Run() #22 0x000001b2b439 testing::internal::UnitTestImpl::RunAllTests() #23 0x000001b2b07e testing::UnitTest::Run() #24 0x000001689733 base::TestSuite::Run() #25 0x000001671699 ChromeTestSuiteRunner::RunTestSuite() #26 0x000001abc55f content::LaunchTests() #27 0x00000166f8c1 main #28 0x7eff1777ff45 __libc_start_main #29 0x0000006b3b11 <unknown> [1/1] ChromeSendPassthroughWebUITest.CanCallOriginal (2095 ms) 1 test failed: ChromeSendPassthroughWebUITest.CanCallOriginal (gen/chrome/test/data/webui/chrome_send_browsertest-gen.cc:23) Committed: https://crrev.com/dd57fe1df3e5543459dbae29f2617d99958555ef Cr-Commit-Position: refs/heads/master@{#413199}

Patch Set 1 #

Total comments: 2

Patch Set 2 : comments #

Messages

Total messages: 22 (12 generated)
michaelpg
PTAL and let me know what you think.
11 months, 1 week ago (2016-08-16 20:56:24 UTC) #6
Paweł Hajdan Jr.
LGTM w/comments https://codereview.chromium.org/2250503002/diff/1/content/public/test/browser_test_base.cc File content/public/test/browser_test_base.cc (right): https://codereview.chromium.org/2250503002/diff/1/content/public/test/browser_test_base.cc#newcode321 content/public/test/browser_test_base.cc:321: signal(SIGSEGV, DumpStackTraceSignalHandler); Could you just move this ...
11 months, 1 week ago (2016-08-17 06:34:09 UTC) #7
michaelpg
https://codereview.chromium.org/2250503002/diff/1/content/public/test/browser_test_base.cc File content/public/test/browser_test_base.cc (right): https://codereview.chromium.org/2250503002/diff/1/content/public/test/browser_test_base.cc#newcode321 content/public/test/browser_test_base.cc:321: signal(SIGSEGV, DumpStackTraceSignalHandler); On 2016/08/17 06:34:09, Paweł Hajdan Jr. wrote: ...
11 months, 1 week ago (2016-08-18 23:44:37 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2250503002/20001
11 months, 1 week ago (2016-08-19 00:26:33 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/264563)
11 months, 1 week ago (2016-08-19 02:32:38 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2250503002/20001
11 months ago (2016-08-19 04:47:27 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/264699)
11 months ago (2016-08-19 06:02:21 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2250503002/20001
11 months ago (2016-08-19 17:12:29 UTC) #19
commit-bot: I haz the power
Committed patchset #2 (id:20001)
11 months ago (2016-08-19 18:58:21 UTC) #20
commit-bot: I haz the power
11 months ago (2016-08-19 19:01:17 UTC) #22
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/dd57fe1df3e5543459dbae29f2617d99958555ef
Cr-Commit-Position: refs/heads/master@{#413199}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973